Bug 1670508 - Review Request: ckb-next - driver for Corsair RGB keyboards and mice
Summary: Review Request: ckb-next - driver for Corsair RGB keyboards and mice
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-29 17:30 UTC by Artur Iwicki
Modified: 2019-02-27 03:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-27 01:15:46 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Artur Iwicki 2019-01-29 17:30:40 UTC
spec: https://svgames.pl/fedora/ckb-next-0.3.2-3.spec
srpm: https://svgames.pl/fedora/ckb-next-0.3.2-3.src.rpm
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=32332153

Description: ckb-next is an unofficial driver for Corsair RGB keyboards and mice, aiming to bring the features of Corsair's proprietary CUE program to Linux.

Fedora Account System Username: suve

This spec is taken from a copr repo I've found and slightly cleaned up. One thing that worries me is the use of "env" in the desktop file - I supposed the preferred solution would be add a simple wrapper script and point the desktop file at that?

Comment 1 Robert-André Mauchin 🐧 2019-02-16 02:33:51 UTC
 - Not needed:

%defattr(-,root,root)

 - Please use "install -p" to keep timestamps

 - Please list the bundled libraries src/libs/quazip (LGPLv2+) and src/libs/kissfft (BSD) in License: and add the Provides: bundled()

 - Please add gcc-c++ as a BR

Comment 3 Robert-André Mauchin 🐧 2019-02-17 17:16:29 UTC
Package approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GNU General Public License (v2)", "GPL (v2 or
     later)", "Unknown or generated", "GNU General Public License (v2)",
     "BSD 3-clause "New" or "Revised" License", "BSL", "Expat License",
     "GNU Lesser General Public License (v2 or later)". 211 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/ckb-next/review-ckb-next/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: systemd_post is invoked in %post, systemd_preun in %preun, and
     systemd_postun in %postun for Systemd service files.
     Note: Systemd service file(s) in ckb-next
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ckb-
     next-debuginfo , ckb-next-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ckb-next-0.3.2-4.fc30.x86_64.rpm
          ckb-next-debuginfo-0.3.2-4.fc30.x86_64.rpm
          ckb-next-debugsource-0.3.2-4.fc30.x86_64.rpm
          ckb-next-0.3.2-4.fc30.src.rpm
ckb-next.x86_64: W: obsolete-not-provided ckb
ckb-next.x86_64: W: desktopfile-without-binary /usr/share/applications/ckb-next.desktop env
ckb-next.src:35: W: unversioned-explicit-provides bundled(kissfft)
ckb-next.src:38: W: unversioned-explicit-obsoletes ckb
ckb-next.src:211: W: macro-in-%changelog %suse_update_desktop_file
4 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 4 Igor Raits 2019-02-18 00:13:46 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ckb-next

Comment 5 Fedora Update System 2019-02-19 06:27:47 UTC
ckb-next-0.3.2-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-286bd68ef5

Comment 6 Fedora Update System 2019-02-19 07:07:14 UTC
ckb-next-0.3.2-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff2ef3236c

Comment 7 Fedora Update System 2019-02-27 01:15:46 UTC
ckb-next-0.3.2-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-02-27 03:28:34 UTC
ckb-next-0.3.2-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.